ALSA project - the C library reference

Loading...
Searching...
No Matches
Functions
pcm_ioplug.c File Reference
External PCM plugin SDK

I/O Plugin SDK. More...

## Functions
int | snd_pcm_ioplug_create (snd_pcm_ioplug_t *ioplug, const char *name, snd_pcm_stream_t stream, int mode)
| Create an ioplug instance.
int | snd_pcm_ioplug_delete (snd_pcm_ioplug_t *ioplug)
| Delete the ioplug instance.
void | snd_pcm_ioplug_params_reset (snd_pcm_ioplug_t *ioplug)
| Reset ioplug parameters.
int | snd_pcm_ioplug_set_param_list (snd_pcm_ioplug_t *ioplug, int type, unsigned int num_list, const unsigned int *list)
| Set parameter as the list.
int | snd_pcm_ioplug_set_param_minmax (snd_pcm_ioplug_t *ioplug, int type, unsigned int min, unsigned int max)
| Set parameter as the min/max values.
int | snd_pcm_ioplug_reinit_status (snd_pcm_ioplug_t *ioplug)
| Reinitialize the poll and mmap status.
const snd_pcm_channel_area_t * | snd_pcm_ioplug_mmap_areas (snd_pcm_ioplug_t *ioplug)
| Get mmap area of ioplug.
int | snd_pcm_ioplug_set_state (snd_pcm_ioplug_t *ioplug, snd_pcm_state_t state)
| Change the ioplug PCM status.
snd_pcm_uframes_t | snd_pcm_ioplug_avail (const snd_pcm_ioplug_t *const ioplug, const snd_pcm_uframes_t hw_ptr, const snd_pcm_uframes_t appl_ptr)
| Get the available frames. This function can be used to calculate the the available frames before calling snd_pcm_avail_update()
snd_pcm_uframes_t | snd_pcm_ioplug_hw_avail (const snd_pcm_ioplug_t *const ioplug, const snd_pcm_uframes_t hw_ptr, const snd_pcm_uframes_t appl_ptr)
| Get the available frames. This function can be used to calculate the the available frames before calling snd_pcm_avail_update()

## Detailed Description

I/O Plugin SDK.

Author
  Takashi Iwai tiwai.nosp@m.@sus.nosp@m.e.de

Date
  2005